# Created by pyp2rpm-3.3.10
%global pypi_name sphinx_reredirects
%global pypi_version 0.1.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Handles redirects for moved pages in Sphinx documentation projects

License:        BSD-3-Clause
URL:            https://gitlab.com/documatt/sphinx-reredirects
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pytest)

%description
 sphinx-reredirects sphinx-reredirects is the extension for Sphinx
documentation < projects that handles redirects for moved pages. It generates
HTML pages with meta refresh redirects to the new page location to prevent 404
errors if you rename or move your documents.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx)
%description -n python3-%{pypi_name}
 sphinx-reredirects sphinx-reredirects is the extension for Sphinx
documentation < projects that handles redirects for moved pages. It generates
HTML pages with meta refresh redirects to the new page location to prevent 404
errors if you rename or move your documents.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# the tests in this file fail with the message:
# "E       fixture 'app' not found"
rm tests/test_end2end.py
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 07 2023 José Matos <jamatos@fc.up.pt> - 0.1.2-1
- Initial package.
